
/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#include "Graph/Edges/InworldEdge_IsDataType.h"

#include "Graph/InworldData.h"

bool UInworldEdge_IsDataType::MeetsCondition_Default(
	const UInworldProcessContext* ProcessContext, const FInworldDataHandle& Input) const
{
	return Input.IsValid() && Input.Data->IsA(DataType);
}
